Bug 151801 - spec file creates (unused) /tmp/MANIFEST.all -- breaks multiuser rebuilds
spec file creates (unused) /tmp/MANIFEST.all -- breaks multiuser rebuilds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 10:33 EST by Matthew Miller
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 21:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2005-03-22 10:33:56 EST
Description of problem:

In the %install section of the spec file, this happens:

  cp MANIFEST.all /tmp

This file is never cleaned up, and it really shouldn't be at a fixed name anyway
-- concievably, someone else on the system could even cause the wrong files to
be packaged, if they're very clever.

But more importantly, it prevents two people from rebuilding perl on the same
system. This file should get created somewhere safer. (Maybe using mktemp?)

Version-Release number of selected component (if applicable):

perl-5.8.6-5.src.rpm

How reproducible:

always

Steps to Reproduce:
1. build perl.spec
2. look in /tmp
  
Actual results:

- have someone else try to build perl -- failure!


Expected results:

- builds shouldn't interfere
Comment 1 Warren Togami 2005-05-16 04:26:03 EDT
This is not of blocker severity.
Comment 2 Matthew Miller 2005-05-18 09:11:09 EDT
No, it's not -- was it set that way?

However, it'd be a pretty easy fix: there's a line which says

  cp MANIFEST.all /tmp

-- don't do that! 

As far as I can see, the file that's copied there isn't actually ever even used.
(It doesn't seem to be referenced elsewhere in the file at all, and if I remove
it, the resulting package is apparently the same.)
Comment 3 Jose Pedro Oliveira 2005-05-18 10:55:37 EDT
I could swear that I have read something about this in the last days but I don't
remember where.  I believe it said that the MANIFEST file in the /tmp directory
was being used inside the building system (to pass information between building
machines?).

I think it is better to ping Chip Turner.
Comment 4 Chip Turner 2005-05-18 11:18:51 EDT
nah nothing fancy, it's just a debug statement I left in accidentally when I
needed to see the contents of MANIFEST from a build box.  it can safely be removed.

Note You need to log in before you can comment on or make changes to this bug.